ICode9

精准搜索请尝试: 精确搜索
  • nxopen 点到面的距离 vb.net2022-09-08 18:32:38

    Function PointToFaceDis(ByVal face1 As Face, ByVal Point1 As Point) Dim workPart As Part = theSession.Parts.Work Dim direction1 As Direction direction1 = workPart.Directions.CreateDirection(face1, Sense.Forward, SmartObje

  • NX1984+VS2017开发环境配置(C++)2022-01-07 12:00:58

    前言 以前经常做NXOpen .net二次开发,因为个人原因,以后将兼顾NXOpen C++二次开发,也是适应潮流吧。人也要学着改变自己。希望自己做的越来越好吧。 在这个blog中,不会系统的写二次开发培训教程什么的,就是一个个人爱好,把一些自认为好玩的功能开发过程分享给大家。给别人哪怕一点

  • UG二次开发 C# 隐藏组件2021-11-29 14:03:25

    1 NXOpen.DisplayableObject[] objects1 = new NXOpen.DisplayableObject[1]; 2 NXOpen.Assemblies.Component component1 = (NXOpen.Assemblies.Component)NXObjectManager.Get(part_occsTag); 3 objects1[0] = component1; 4 theSession.DisplayManager.BlankObjects(object

  • UG二次开发 移除参数(C#)2021-11-29 14:02:41

    1      public void RemoveObjParameters() 2 { 3 NXOpen.Session theSessions = NXOpen.Session.GetSession(); 4 NXOpen.Part workPart = theSessions.Parts.Work; 5 NXOpen.Features.RemoveParametersBuilder removePa

  • UG二次开发 实体转装配零件并将实体属性填写到装配零件中(C#)2021-11-29 14:01:10

    1      /// <summary> 2 /// 实体转化为装配 3 /// </summary> 4 /// <param name="prtfull">全路径</param> 5 /// <param name="bodys">实体</param> 6 /// <param name=&q

  • NX二次开发-远程开发模式(C/S架构-客户端和服务端)2021-10-10 14:01:36

      版本 NX11+VS2013    API帮助 远程开发模式在API帮助中的出处 首先打开NX11的API帮助手册,点击 NX开放程序员指南 进来后如下  英文不好,自己翻译一下。  点击执行方法,进入如下      选择远程进程,点击去,记住这个单词 Remote Processes 与远程开发模式的相关内容,

  • NXOpen替换组件2021-10-07 15:02:45

    #include <uf_defs.h>#include <uf_ui_types.h>#include <iostream>#include <NXOpen/Session.hxx>#include <NXOpen/UI.hxx>#include <NXOpen/NXMessageBox.hxx>#include <NXOpen/Callback.hxx>#include <NXOpen/NXException.h

  • .net语言 开发UG NX二次开发2021-09-28 08:00:07

    第一个例子:怎样用VB.NET在UG中创建一个点?   1 Option Strict Off 2 Imports System 3 Imports NXOpen 4 Imports NXOpen.UF 5 Imports NXOpen.UI 6 Imports NXOpen.Utilities 7 Module CreatePoint 8 Dim s As Session = Session.GetSession() 9 D

  • NXOpen-创建固定约束2021-09-23 16:37:38

    void CreateFixedConstraint(tag_t component) { if (NULL_TAG == component) { return; } NXOpen::Session *theSession = NXOpen::Session::GetSession(); NXOpen::Part *workPart(theSession->Parts()->Work()); NXOpen::Positioning::ComponentPositioner

  • NX二次开发-获得NXOpen录制的点集里面的点坐标XYZ2021-09-09 17:32:49

    刚才看到有群友问,就写了一下,做个笔记。 NX11+VS2013 //NX11_NXOpenCPP_Wizard9 // Mandatory UF Includes #include <uf.h> #include <uf_object_types.h> // Internal Includes #include <NXOpen/ListingWindow.hxx> #include <NXOpen/NXMessageBox.hxx> #inclu

  • NX二次开发-ufusr和ufsta等用户入口使用说明2021-09-04 17:35:32

    版本 NX9+VS2012   用户出口(入口)介绍 这段内容是从书上抄的 用户出口(User Exit)是NXOpen中的一个重要概念。NX在运行过程中某些特定的位置存在规定的出口,当进程执行到这些出口时,NX会自动检查用户是否在此处已定义了 指向内部程序位置的环境变量;若没有定义,则以NX默认的方式

  • NX二次开发-一个简单的连接曲线例子剖析学会如何使用NXOPEN做二次开发2021-08-29 15:04:13

    事情的原油~ 昨天晚上半夜12点半。失眠睡不着觉,看到我龙哥哥在QQ群里问问题,他想做一个连接曲线的功能,但是连接曲线的UFUN函数不会用, 录制连接曲线NXOPEN代码又不会录制,自己在谷歌上面找的一段代码,抄下来用,还真的做出来了。不得不佩服人家出国找资料的能力, 抄代码也是一绝啊,总比一

  • Part之事件,Prototype之原型2021-08-08 11:31:06

      ///////////////////////////////////////////////////////////////////////////////////////// Represents a component in a NXOpen::Assemblies::ComponentAssembly . Note that a Component is an occurrence whose prototype is a NXOpen::Part . See NXOpen::NXObje

  • NXOPEN创建组,并加入对象2021-08-05 09:01:58

    Part *workPart(theSession->Parts()->Work()); GroupBuilder* groupBuilder1 = workPart->CreateGatewayGroupBuilder(NULL); groupBuilder1->SetGroupName("123");//设置组的名字 std::vector<TaggedObject *> objectsTag = selection0->GetSe

  • NXOPEN设置属性2021-06-18 09:02:02

    void twb_xd_std::set_attr( std::vector<NXOpen::NXObject *> objects , string attr_category,  string attr_title ,  string attr_value ) {   NXOpen::Session *theSession = NXOpen::Session::GetSession();   NXOpen::Part *workPart(theSession->Parts()-&g

  • NXOPEN 选择材料库对实体进行缩放比例2021-06-16 21:05:15

    VS2015 NX12   //关键代码 //用户代码NXString YN_Shrinkage::doubleToNXString(double value)//double转换NXString{ stringstream tmpValue1; tmpValue1 << setprecision(16) << value; return NXString(tmpValue1.str());} NXString YN_Shrinkage::intToNXString(int val

  • UG二次开发NXOpen-Python(三) 创建基本特征2021-06-16 17:33:58

    创建基本特征 NXOpen对于特征的创建和修改利用该特征对应的builder来进行,创建一个基本特征(比如长方体、球体等等)的步骤如下: 1.创建一个builder 2.设置bulider的各个属性 3.对builder进行'commit' 4.销毁builder 例如,我们要创建一个长方体: import NXOpen import NXOpen.Features

  • NXOpen绝对座标值转为WCS座标值2021-04-18 12:32:40

    VS2010 NX8.5   //定义函数 Point3d WCSPointTransposeCsysPoint(Point3d origionPoint3D);//工作部件绝对坐标值转化为新坐标下点坐标值 Point3d PointMatrixToNewPoint(Point3d origionPoint3D,Matrix3x3 matrix3X3,Point3d newPoint3D);// 点的转换   Point3d HoleTable::WC

  • NXOpen遍历尺寸 UF获取尺寸值2021-04-14 11:34:32

    VS2010  NX8.5   #include <NXOpen/Annotations_Dimension.hxx>#include <NXOpen/Annotations_DimensionCollection.hxx>#include <NXOpen/Annotations.hxx>#include <NXOpen/Drawings_DraftingView.hxx>#include <NXOpen/Drawings_DraftingViewCo

  • NXOpen 求点到边的垂线并结合UF求起始点终点交点2021-04-13 08:01:38

    VS2010 NX8.5   //创建垂线 Features::AssociativeLine *nullFeatures_AssociativeLine(NULL); Features::AssociativeLineBuilder *associativeLineBuilder1; associativeLineBuilder1 = workPart->BaseFeatures()->CreateAssociativeLineBuilder(nullFeatures_Associ

  • NXOpen 利用包容盒一键生成塑胶模开框假体2021-04-01 18:01:09

    VS 2010  NX8.5 利用UF的UF_MODL_ask_bounding_box_exact函数得出边界,创建方体、避空槽或倒圆。和UI界面结合按需求更改参数,实时变更和预览。

  • NXOpen测量柱面两条边的最近距离2021-02-28 20:33:49

      #include <NXOpen/MeasureDistanceBuilder.hxx>#include <NXOpen/MeasureManager.hxx>#include <NXOpen/SelectDisplayableObject.hxx>#include <NXOpen/SelectDisplayableObjectList.hxx>#include <NXOpen/Unit.hxx>#include <NXOpen/Uni

  • NXOpen 一键移除参数2021-02-28 14:03:12

    C++ 2010 #include <uf.h>#include <uf_object_types.h>#include <uf_obj.h>#include <uf_modl.h>#include <uf_assem.h>#include <uf_kf.h>#include <uf_ui.h>#include <NXOpen/Body.hxx>#include <NXOpen/BodyCollectio

  • NXOpen批量创建部件2021-02-27 17:01:06

    C++ 2010    //获取UI值和路径void CreateNewComponent::GetUIValueandPath() {    try    {  NewName.clear();  NewNamePath.clear();  selectBodys.clear();   //获取显示部件的全路径  partfullpath1 = basedisplaypart->FullPath();  //theSession->Lis

  • NXOpen 通过迭代器获取工作部件的体、面、边、点2021-02-22 09:02:28

    C++ 2010   //用户代码  theSession->ListingWindow()->Open(); theSession->ListingWindow()->WriteLine("制作:Alan Huang QQ:185266370");  std::vector<Edge *> edges; //边容器 std::vector<Face *> faces; //面容器 NXOpen::Point3d p1 ,p2; //边的

专注分享技术,共同学习,共同进步。侵权联系[81616952@qq.com]

Copyright (C)ICode9.com, All Rights Reserved.

ICode9版权所有